Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Question MCPE 0.12.x compatible PocketMine

Comments in 'General Discussion' started by Jazzwhistle, Sep 7, 2015.

  1. Jazzwhistle
    Offline

    Jazzwhistle Notable Member

    Joined:
    Dec 27, 2014
    Posts:
    364
    Minecraft User:
    Awzaw
    Hi,

    I am getting a little nervous about the forthcoming MCPE 0.12 release, with literally thousands of kids desperate not to lose access to all servers (as they see it), especially mine :)

    They will all upgrade immediately, so I'd like to know if there will be a reasonably stable release of PM 1.5 or 1.6 which supports the new MCPE version, and that works with at least some plugins? Tomorrow?!

    I can't find any information confirming what exactly is going to happen here, nobody else seems interested... so I would like to know if the release version will work with the latest 1.5 dev builds? Or PM "bleeding edge"? Or only 1.6?

    Thanks for any help with this
    Aaxxo, Timmpann, NML32 and 1 other person like this.
  2. NML32
    Offline

    NML32 Active Member

    Joined:
    Dec 23, 2014
    Posts:
    119
    I have the same worries.
  3. EvolSoft
    Offline

    EvolSoft Notable Member Plugin Developer

    Joined:
    Sep 10, 2014
    Posts:
    821
    Plugins:
    15
    Minecraft User:
    Flavius12
    I played the 0.12.1 for a bit and then I downgraded to 0.11 for this reason
  4. Xenturio
    Offline

    Xenturio Active Member

    Joined:
    Sep 19, 2014
    Posts:
    333
    Minecraft User:
    Xenturio
    ? whats the problem.... pocketmine is for 0.12 versions build 11 and higher
    Jazzwhistle likes this.
  5. Jazzwhistle
    Offline

    Jazzwhistle Notable Member

    Joined:
    Dec 27, 2014
    Posts:
    364
    Minecraft User:
    Awzaw
    Thank you. That's exactly what I wanted to hear :)
  6. Timmpann
    Offline

    Timmpann New Member

    Joined:
    Feb 5, 2015
    Posts:
    24
    Minecraft User:
    Timmpann
    So the latest dev-build #1261 will work with 0.12?
  7. Jazzwhistle
    Offline

    Jazzwhistle Notable Member

    Joined:
    Dec 27, 2014
    Posts:
    364
    Minecraft User:
    Awzaw
    I can't get above build 1244 without some outdated plugins provoking server crashes, but that's for another thread...
  8. Xenturio
    Offline

    Xenturio Active Member

    Joined:
    Sep 19, 2014
    Posts:
    333
    Minecraft User:
    Xenturio
    no this is not actually dev version
  9. Timmpann
    Offline

    Timmpann New Member

    Joined:
    Feb 5, 2015
    Posts:
    24
    Minecraft User:
    Timmpann
    It's the latest dev version for PM 1.5.

    But for MCPE 0.12, will I have to use PM bleeding(http://jenkins.pocketmine.net/job/PocketMine-MP-Bleeding/)? Will it break most of the plugins? I can't test with MCPE 0.12 yet because I only have iOS devices.
    EvolSoft likes this.
  10. WillotheBlessed
    Offline

    WillotheBlessed Active Member

    Joined:
    Sep 17, 2014
    Posts:
    69
    Minecraft User:
    will
    I've tried connecting a few machines after the update to a 1.6 server I was running, and they did not connect. Hopefully it's because my server is Alpha.

    I heard at one point the timeline was immediate, and a new version would be released as the update went public. Is that still going to happen?
  11. EvolSoft
    Offline

    EvolSoft Notable Member Plugin Developer

    Joined:
    Sep 10, 2014
    Posts:
    821
    Plugins:
    15
    Minecraft User:
    Flavius12
    I discovered it tomorrow xD
  12. Jazzwhistle
    Offline

    Jazzwhistle Notable Member

    Joined:
    Dec 27, 2014
    Posts:
    364
    Minecraft User:
    Awzaw
    Well now it has happened... and all the formerly excited mcpe 0.12.1 users are now realising, with mounting panic, that they can't join any servers at all :-/
  13. jojoe77777
    Offline

    jojoe77777 Notable Member Plugin Developer

    Joined:
    May 28, 2015
    Posts:
    653
    Plugins:
    1
    Minecraft User:
    jojoe77777
    I compiled a 1.6 phar (from the 0.12 branch on GitHub) with 1.5 lang files, spl, and raklib. Doesn't have all features of 0.12 but it runs and players can connect.

    Attached Files:

  14. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Whoever excited about MCPE updates thinking that all the new features will come onto servers with the MCPE update are stupid.
    EvolSoft, hoyinm14mc and fycarman like this.
  15. Jazzwhistle
    Offline

    Jazzwhistle Notable Member

    Joined:
    Dec 27, 2014
    Posts:
    364
    Minecraft User:
    Awzaw
    These kids aren't stupid... they are kids, and for many of them mcpe IS servers!
    JPM and hoyinm14mc like this.
  16. VortexScribe
    Offline

    VortexScribe New Member

    Joined:
    Aug 30, 2015
    Posts:
    1
    Minecraft User:
    VortexScribe
    Yep, Bugs Galore, Do We Need To Say More?
  17. Xenturio
    Offline

    Xenturio Active Member

    Joined:
    Sep 19, 2014
    Posts:
    333
    Minecraft User:
    Xenturio
  18. Jazzwhistle
    Offline

    Jazzwhistle Notable Member

    Joined:
    Dec 27, 2014
    Posts:
    364
    Minecraft User:
    Awzaw
    The phar posted by jojoe allows people to connect, but no blocks in the hotbar. Il check out that tree, thanks

    Update: trying without much success to run PM from source to use devtools makeserver command - is that the best way to make a pocketmine .phar?
    Last edited: Sep 9, 2015
    jojoe77777 likes this.
  19. Xenturio
    Offline

    Xenturio Active Member

    Joined:
    Sep 19, 2014
    Posts:
    333
    Minecraft User:
    Xenturio
    gamemode 1 is very buggy by 0.12... u cant build because u only can set stone blocks!
    Taha_The_Hacker likes this.
  20. PocketKiller
    Offline

    PocketKiller Notable Member

    Joined:
    Jul 20, 2015
    Posts:
    741
    Yaa i am not able to choose a block :( (In C mode)

Share This Page

Advertisement